using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class MovementEndPacket : Packet
    {
        MovementPacket.FullMovementData movData = new MovementPacket.FullMovementData();

        public MovementEndPacket(MovementPacket.FullMovementData movedata)
        {
            this.movData = movedata;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            PacketWriter writer = new PacketWriter();
            writer.WriteStruct(movData);
            return writer.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x04, 0x71, PacketFlags.OBJECT_RELATED);
        }

        #endregion
    }
}